#!/bin/bash

if [ -f '/usr/sbin/wildix_shell_tools' ]; then
	. /usr/sbin/wildix_shell_tools	
else
	logger -t "${0}" "ERROR: can't include wildix_shell_tools"
	exit 1
fi

[ "$(is_active_license)" -eq '0' ] && log "ERROR: need active PBX license to run." 'zabbix-agent' && exit 1

CONF='/etc/zabbix/zabbix_agentd.conf'
[ -f "/usr/sbin/serial" ] && SERIAL="$(/usr/sbin/serial)" || SERIAL="$(sed 's/://g' /sys/class/net/eth0/address)"
WMS_VER="$(dpkg -l | awk '/wms-interface-sqlite3/{print $3}' | sed 's/\./-/g' | grep -oE '^[0-9]-[0-9]{2}')"
TAGS="f275292e8ea884b27775c01ea88a36b9 wildix wms=$WMS_VER cloud=$(is_cloud)"

sed -i "s/^Hostname=.*/Hostname=$SERIAL/g" $CONF
sed -i "s/^HostMetadata=.*/HostMetadata=$TAGS/g" $CONF
sed -i "s/^ServerActive=.*/ServerActive=zabbix${WMS_VER}.wildix.com:8099/g" $CONF

exit 0